MediaWiki:Vector.css: Unterschied zwischen den Versionen

Aus Landesjugendring-Wiki
Zur Navigation springen Zur Suche springen
Keine Bearbeitungszusammenfassung
Keine Bearbeitungszusammenfassung
 
(6 dazwischenliegende Versionen desselben Benutzers werden nicht angezeigt)
Zeile 83: Zeile 83:


.vector-body {
.vector-body {
     font-size: 1.1rem;}
     font-size: 1rem;
    font-size: var(--font-size-small,.95rem);}


    font-size: var(--font-size-small,.95rem);


 
h1,
h1 {
  .mw-body h1,
font-family: 'SourceSans3', sans-serif !important;
  .mw-body .mw-heading1,
color:  #db7d00;
  .mw-body-content h1,
font-weight: 600 !important;
  .mw-body-content .mw-heading1 {
letter-spacing: .02em !important;}
    font-family: 'SourceSans3', sans-serif !important;
 
    color:  #db7d00;
.mw-body h1 {
    font-weight: 600 !important;
font-family: 'SourceSans3', sans-serif !important;
    letter-spacing: .02em !important;}
color:  #db7d00;
font-weight: 600 !important;
letter-spacing: .02em !important;}


h2, .toc h2 {
h2, .toc h2 {
Zeile 135: Zeile 132:


a:visited {color: #bc360a;}
a:visited {color: #bc360a;}
.vector-body {
    line-height:1.6
  }


.editOptions {
.editOptions {
Zeile 145: Zeile 146:
     color: @dark-gray;
     color: @dark-gray;
}
}
.mw-footer li {
      font-size:0.95em
  }


#mw-page-base {
#mw-page-base {
Zeile 157: Zeile 162:
     background-image: linear-gradient(to top,#f7bd70 0,#fdf4e7 1px,#ffffff 100%);
     background-image: linear-gradient(to top,#f7bd70 0,#fdf4e7 1px,#ffffff 100%);
}
}
.vector-user-menu-legacy li {
    font-size:0.95em;
  }


.mw-body-content .toc h2 {color: #646463}
.mw-body-content .toc h2 {color: #646463}

Aktuelle Version vom 27. Februar 2026, 12:19 Uhr

/* Das folgende CSS wird für Benutzer der Vector-Benutzeroberfläche geladen. */
#ca-talk { display:none!important; }
/* Load Font */
/* source-sans-pro-300 - latin-ext_latin */
@font-face {
	font-family: 'SourceSans3';
	font-style: normal;
	font-weight: 300;
	src: local('SourceSans3-Light'), local('SourceSans3-Light')
		url('/fonts/SourceSans3-Light.otf.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
		url('/fonts/SourceSans3-Light.otf.woff2') format('woff2'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
	font-display: swap;
}

/* source-sans-pro-regular - latin-ext_latin */
	@font-face {
	font-family: 'SourceSans3';
	font-style: normal;
	font-weight: 400;
	src: local('SourceSans3-Regular'), local('SourceSansPro-Regular'),
		url('/fonts/SourceSans3-Regular.otf.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
		url('/fonts/SourceSans3-Regular.otf.woff2') format('woff2'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
	font-display: swap;
}

/* source-sans-pro-italic - latin-ext_latin */
@font-face {
	font-family: 'SourceSans3';
	font-style: italic;
	font-weight: 400;
	src: local('SourceSans3-It'), local('SourceSans3-It'),
		url('/fonts/SourceSans3-It.otf.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
		url('/fonts/SourceSans3-It.otf.woff2') format('woff2'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
	font-display: swap;
}

/* source-sans-pro-600 - latin-ext_latin */
@font-face {
	font-family: 'SourceSans3';
	font-style: normal;
	font-weight: 600;
	src: local('SourceSans3-Semibold'), local('SourceSans3-Semibold'),
		url('/fonts/SourceSans3-Semibold.otf.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
		url('/fonts/SourceSans3-Semibold.otf.woff2') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
	font-display: swap;
}

/* source-sans-pro-600italic - latin-ext_latin */
@font-face {
	font-family: 'SourceSans3';
	font-style: italic;
	font-weight: 600;
	src: local('SourceSans3-SemiboldIt'), local('SourceSans3-SemiboldIt'),
		url('/fonts/SourceSans3-SemiboldIt.otf.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
		url('/fonts/SourceSans3-SemiboldIt.otf.woff2') format('woff2'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
	font-display: swap;
}

/* source-sans-pro-700 - latin-ext_latin */
@font-face {
	font-family: 'SourceSans3';
	font-style: normal;
	font-weight: 700;
	src: local('SourceSans3-Bold'), local('SourceSans3-Bold'),
		 url('/fonts/SourceSans3-Bold.otf.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
		 url('/fonts/SourceSans3-Bold.otf.woff2') format('woff2'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
	font-display: swap;
}


@primary: #db7d00;
@dark-gray: #4a4a4a;
@light-gray: #efefef;
@warm-gray: #edefe9;

body {
	font-family: 'SourceSans3', sans-serif !important;
    color: #4a4a4a;
	background: #fff;
    font-size: 18px;
    max-width: 95vw
}

.vector-body {
    font-size: 1rem;
    font-size: var(--font-size-small,.95rem);}


h1,
  .mw-body h1,
  .mw-body .mw-heading1,
  .mw-body-content h1,
  .mw-body-content .mw-heading1 {
     font-family: 'SourceSans3', sans-serif !important;
     color:  #db7d00;
     font-weight: 600 !important;
     letter-spacing: .02em !important;}

h2, .toc h2 {
font-family: 'SourceSans3', sans-serif !important;
color:  #db7d00 !important;
font-weight: 600 !important;
font-size: 1.7em !important; 
}

h3, h4, h5, h6 {
font-family: 'SourceSans3', sans-serif !important;
    color: #4a4a4a;
}

.mw-body-content h3, h3 {
    font-size: 1.5em !important; 
    font-weight: 400 !important;
}


.vector-menu-portal h3 {
font-size: 1.2em !important;
}

h4, h5, h6 {
    font-weight: 600 !important;
}

.vector-body {font-size: 1em;}

em {font-style: italic;}

strong {font-weight: 600;}

a {color: #db7d00 !important;}

a:visited {color: #bc360a;}

.vector-body {
    line-height:1.6
  }

.editOptions {
    background-color: #fdf4e7;
    color: #202122;
}

.mw-body {
    border: 1px solid #f7bd70;
    color: @dark-gray;
}

.mw-footer li {
      font-size:0.95em
  }

#mw-page-base {
    background-color: #fff;
    background-image: -webkit-linear-gradient(top,#ffffff 50%,#fff 100%);
    background-image: linear-gradient(to bottom,#ffffff 50%,#fff 100%);
    background-position: bottom left;
    height: 5em;
}

.vector-menu-tabs, .vector-menu-tabs li, .vector-menu-tabs a {
    background-image: linear-gradient(to top,#f7bd70 0,#fdf4e7 1px,#ffffff 100%);
}

 .vector-user-menu-legacy li {
    font-size:0.95em;
  }

.mw-body-content .toc h2 {color: #646463}

.toc, .toccolours {background-color: #fff;}

.vector-menu-portal .vector-menu-content li {font-size: 1em !important;}